# Seismic DMS

In this lab, we are going to explore the Seismic DMS.

NOTE: Please make sure that you obtain the following configurations before start working with lab:
```
CLOUD_PROVIDER - cloud provider name (azure, aws, gcp)
OSDU_DATA_PARTITION_ID - osdu data partition id, often it is `osdu` or `opendes` in the default installation
STORAGE_SERVICE_URL - storage api url
SEISMIC_STORE_SERVICE_URL - seismic store service api url

LEGAL_TAG - legal tag for subproject creation, you can use any valid legal tag created in OSDU
ADMIN_EMAIL - your seismic subproject admin email, this can be any email of the user who will be adding others to the subproject and manage its content
ACCESS_TOKEN - osdu platform access_token, typically obtained from a Postman collection
```

1. Pull the docker image:

```bash
docker pull opengroup/seismic-dms-training:latest
```

2. Start the Docker container:

```bash
docker run -p 8888:8888 opengroup/seismic-dms-training:latest
```

The container uses SEG-Y, OpenVDS and OpenZGY libraries, and runs Jupyter Notebook.

NOTE: At this point of time OpenZGY library used in the `SeismicLabOpenZGY.ipynb` notebook is not fully tested to pull data from the cloud. Feel free to explore but do not run until we fully test and release it. Also, the step to convert SEGY to ZGY file in `DataLoading.ipynb` can be skipped.

3. Copy the address and open it in Google Chrome:

![Alt text](images/jupyter-console.png)
 
4. In Jupyter Notebook, select `DataLoading.ipynb` and continue the lab in this document.
5. Execute all cells in `DataLoading.ipynb` (skip the step to convert SEGY to ZGY since this piece is not fully working).
6. Proceed to the OpenVDS and ZGY labs - `SeismicLabOpenVDS.ipynb` and `SeismicLabOpenZGY.ipynb`.


## Jupyter Notebook document

The Jupyter Notebook is an open source web application that you can use to create and share documents that contain live code, equations, visualizations, and text.

A Jupyter Notebook document (IPYNB file) contains the inputs and outputs of a interactive session as well as explanatory text. In this way, notebook files can serve as a complete computational record of a session, interleaving executable code with explanatory text, and rich representations of resulting objects.

A multiline input field is called a _cell_.

When a code cell is executed, the result is displayed in the notebook as the cell’s output. To execute a code cell:

1. Select a cell.
2. Run the code by pressing Shift+Enter, or clicking the Play button on the toolbar.

In `*.ipynb` files, execute code cells in a successive order. Otherwise, you may receive errors.

The number in square brackets indicates the sequence number of the most recent execution of the cell.
